EDIT - bug #3532
task # 4338 (In Progress): [MASTER] Handle abbreviated title and protected cache correctly in TaxEditor

Nomenclatural reference null for database
06/18/2013 04:09 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Mller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.6

Severity: minor Found in Version:

Description

What | did:

for any given taxon name (without nom. ref.) | added a new nom. ref. of type database. The label of the nom. ref. did show "null" and
not the databases titlecache.

Databases usually can not be nom.refs. However, some data is dirty and should be still shown correctly.

Maybe this is also the case for some other reference types.

Associated revisions

Revision 81f9e9a5 - 03/11/2017 11:29 PM - Andreas Miiller

fix #3532 write test for "null" nom ref for databases, cdDvd and webpage, original issue was fixed already

History

#1 - 06/18/2013 04:10 PM - Andreas Miuller

- Assignee changed from Andreas Miller to c.mathew -

#2 - 05/25/2016 01:56 PM - Andreas Miuller

- Assignee changed from c.mathew - to Andreas M(iller

#3 - 05/25/2016 01:56 PM - Andreas Miuller

- Target version changed from TaxEditor Next Major Release to Release 4.1

#4 - 06/01/2016 01:23 PM - Andreas Miuller

- Target version changed from Release 4.1 to Release 4.2

#5 - 07/06/2016 03:23 PM - Andreas Miiller

- Target version changed from Release 4.2 to Release 4.3

#6 - 09/26/2016 09:55 AM - Andreas Miiller

- Target version changed from Release 4.3 to Release 4.4

#7 - 12/01/2016 02:23 PM - Andreas Miiller

- Target version changed from Release 4.4 to Release 4.5

#8 - 01/19/2017 01:36 PM - Andreas Miiller

- Target version changed from Release 4.5 to Release 4.6

#9 - 03/11/2017 02:33 AM - Andreas Miiller
- Description updated
- Priority changed from New to Highest
#10 - 03/11/2017 11:29 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|81f 1677 7 402ccf90.

#11 - 03/11/2017 11:30 PM - Andreas Miiller
- Status changed from Resolved to Closed
- % Done changed from 50 to 100

- Private changed from Yes to No

The original issue was fixed already. Added some tests and also implemented for WebPage to use URI if titteCache is empty.
